test_that("get_db_comment works", {
  if(DBI::dbCanConnect(RPostgres::Postgres(), host="localhost", user="runner", password=Sys.getenv("BDD_RUNNER_PWD"), dbname="postgres")){
  Sys.setenv(port="5432")
  Sys.setenv(server="localhost")
  Sys.setenv(user_test="runner")
  Sys.setenv(pwd_test=Sys.getenv("BDD_RUNNER_PWD"))
  expect_snapshot(get_db_comment(db = "test_datalibaba", user = "test", server = Sys.getenv("server")))
  }else{
    print(DBI::dbCanConnect(RPostgres::Postgres(), host="localhost", user="runner", password=Sys.getenv("BDD_RUNNER_PWD"), dbname="postgres"))
    print('warning: connect_to_db - local database postgresql doesnt work !')
    expect_equal(1,1)
  }
})

test_that("commenter_schema  works", {
  if(DBI::dbCanConnect(RPostgres::Postgres(), host="localhost", user="runner", password=Sys.getenv("BDD_RUNNER_PWD"), dbname="postgres")){
  Sys.setenv(port="5432")
  Sys.setenv(server="localhost")
  Sys.setenv(user_test="runner")
  Sys.setenv(pwd_test=Sys.getenv("BDD_RUNNER_PWD"))
  expect_error(commenter_schema(schema = "public", db  = "test_datalibaba", user = "test"),
               "L'argument comment n\'est pas renseign\u00e9. ")
  expect_error(commenter_schema(comment = "un petit schema !", db  = "test_datalibaba", user = "test"),
               "L\'argument schema n\'est pas renseign\u00e9. ")
  expect_null(commenter_schema(comment = "le schema des tests qui restent !", schema = "public", db  = "test_datalibaba", user = "test"))
  }else{
    print(DBI::dbCanConnect(RPostgres::Postgres(), host="localhost", user="runner", password=Sys.getenv("BDD_RUNNER_PWD"), dbname="postgres"))
    print('warning: connect_to_db - local database postgresql doesnt work !')
    expect_equal(1,1)
  }
})

test_that("get_schema_comment  works", {
  if(DBI::dbCanConnect(RPostgres::Postgres(), host="localhost", user="runner", password=Sys.getenv("BDD_RUNNER_PWD"), dbname="postgres")){
    Sys.setenv(port="5432")
    Sys.setenv(server="localhost")
    Sys.setenv(user_test="runner")
    Sys.setenv(pwd_test=Sys.getenv("BDD_RUNNER_PWD"))
    expect_error(get_schema_comment(db = "test_datalibaba", user = "test", server = Sys.getenv("server")),
                 "L\'argument schema n\'est pas renseign\u00e9. ")
    expect_error(get_schema_comment(schema="titi-test", db = "test_datalibaba", user = "test", server = Sys.getenv("server")),
                 "Il n\'y a pas de schema titi-test dans la base de donn\u00e9es. ")
    expect_snapshot(get_schema_comment(schema = "public", db = "test_datalibaba", user = "test", server = Sys.getenv("server")))
  }else{
    print(DBI::dbCanConnect(RPostgres::Postgres(), host="localhost", user="runner", password=Sys.getenv("BDD_RUNNER_PWD"), dbname="postgres"))
    print('warning: connect_to_db - local database postgresql doesnt work !')
    expect_equal(1,1)
  }
})
